#include <stdio.h>
#include <signal.h>

void capture(int signum)
{
   printf("SIGINT is captured!\n");
}

main()
{
   int i=10;
   signal(SIGINT,capture);
   printf("waiting for signal...\n");
   while(i>0)
   {
	sleep(1);
	i--;
   }
// while(1)  pause();   
}
